Skip to main content
`Ctrl`+`K`

# PowerLaw1D

class astropy.modeling.powerlaws.PowerLaw1D(amplitude=1, x_0=1, alpha=1, **kwargs)

  Bases: `Fittable1DModel`

  One dimensional power law model.

  Parameters:
    amplitude `python:float`

      Model amplitude at the reference point

    x_0 `python:float`

      Reference point

    alpha `python:float`

      Power law index

  Other Parameters:
    fixed `python:dict`, optional

      A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

    tied `python:dict`, optional

      A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

    bounds `python:dict`, optional

      A dictionary `{parameter_name: value}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list or a tuple of length 2 giving the desired range for the parameter. Alternatively, the `min` and `max` properties of a parameter may be used.

    eqcons `python:list`, optional

      A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

    ineqcons `python:list`, optional

      A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `BrokenPowerLaw1D`, `ExponentialCutoffPowerLaw1D`, `LogParabola1D`

  Notes

  Model formula (with \(A\) for `amplitude` and \(\alpha\) for `alpha`):

  > \[f(x) = A (x / x_0) ^ {-\alpha}\]

  Attributes Summary

  `alpha` |
  `amplitude` |
  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `param_names` | Names of the parameters that describe models of this type.
  `x_0` |

  Methods Summary

  `evaluate`(x, amplitude, x_0, alpha) | One dimensional power law model function.
  `fit_deriv`(x, amplitude, x_0, alpha) | One dimensional power law derivative with respect to parameters.

  Attributes Documentation

  alpha = Parameter('alpha', value=1.0)
  amplitude = Parameter('amplitude', value=1.0)
  input_units
  param_names = ('amplitude', 'x_0', 'alpha')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  x_0 = Parameter('x_0', value=1.0)

  Methods Documentation

  static evaluate(x, amplitude, x_0, alpha)

    One dimensional power law model function.

  static fit_deriv(x, amplitude, x_0, alpha)

    One dimensional power law derivative with respect to parameters.